class SolutionsController < ApplicationController
  def index
    @solutions = Solution.all.order(task_id: :asc, created_at: :asc)
  end

  def upload
    unless params[:file].nil?
      solution = Solution.find_or_create_by user: @user, task_id: params[:task]
      if solution.reviewer.nil?
        solution.update reviewer: User.lecturer.take
      end
      Attachment.save_file params[:file], solution
    end
    redirect_back(fallback_location: task_path(params[:task]))
  end

  def download
    a = Attachment.find(params[:attachment])
    unless a.nil?
      send_file a.path, type: a.mime, disposition: :attachment, filename: a.name
      return
    end
    head 404
  end
end
