class Attachment < ApplicationRecord
  belongs_to :solution

  def self.save_file(upload, solution)
    return if upload.nil?
    dir = Rails.root.join('public', 'data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    fname = upload.original_filename
    a = Attachment.create name: fname, mime: upload.content_type, solution: solution
    path = File.join(dir, a.id.to_s)
    File.open(path, 'wb') do |f| f.write(upload.read) end
    a.update path: path, size: File.size(path)
  end
end
